#include <iostream>
#include <cmath>
#include <algorithm>
#include <vector>
#include <set>
#include <map>
#include <queue>
#include <utility>
#include <string>

using namespace std;

#define ll long long
#define ld long double

ll ans=0;
int v[10];
ll b=-1;

void fun0(ll n)
{
    for(ll a=1;n>0;a*=b,n/=10)
    {
        ans+=(v[n%10]-1)*a;
    }
    return;
}

int main()
{
    cin.tie(0);
    cout.tie(0);
    ios::sync_with_stdio(0);

    set<int> s;

    ll n,nn;

    nn=-1;

    b=11;

    string strin;
    getline(std::cin,strin);
    cin>>n;
    //cout<<n<<endl;

    b=10;

    for(int i=0;i<strin.size();i+=2)
    {
        b--;
        s.insert(strin[i]-'0');
        //cout<<strin[i]-'0'<<endl;
    }

    for(int i=0;i<10;i++)
    {
        if(i==0)
        {
            v[i]=1;
            continue;
        }
        if(s.count(i)==0)
        {
            v[i]=v[i-1]+1;
        }
        else
        {
            v[i]=v[i-1];
        }
    }

    fun0(n);

    if(s.count(0))
    {
        ans--;
    }

    cout<<ans;

    return 0;
}
